<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-gio-network" xml:lang="fr">

  <info>
    <link type="guide" xref="tech" group="gio-network"/>
    <revision pkgversion="3.0" date="2011-04-05" status="review"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Networking and sockets API with streams</desc>
  </info>

<title>GIO Networking</title>

  <p>GIO Networking is built on top of the stream APIs
  <link xref="tech-gio">used for files</link>. It provides high-level APIs to
  communicate over TCP/IP and UNIX domain sockets. You can use the GIO
  networking APIs to connect to a server, listen for events, and read
  resources. The asynchronous API means your application doesn't block waiting
  for a response from the network.</p>

<list style="compact">
  <item><p><link href="https://developer.gnome.org/gio/stable/">GIO Reference Manual</link></p></item>
  <item><p><link href="https://developer.gnome.org/gio/stable/networking.html">Lowlevel network support</link></p></item>
  <item><p><link href="https://developer.gnome.org/gio/stable/highlevel-socket.html">Highlevel network functionality</link></p></item>
</list>

</page>
